SourceForge has been redesigned. Learn more.
Close

Trying to build rssowl svn 7210

Developers
Anonymous
2010-01-03
2012-08-29
  • Anonymous

    Anonymous - 2010-01-03

    Hi,

    I'm trying to build rssowl in eclipse 3.5.1, but it fails.

    I don't have the option as in http://wiki.rssowl.org/index.php/Build_RSSOwl_2
    .0
    "Open Run Dialog...",
    but I see "Run configurations..." that have "Eclipse Application"|"Launch
    RSSOwl 2.0", but when I click run I see the rssowl splash and then it
    terminates with this:

    osgi> !SESSION 2010-01-03 14:04:25.542

    eclipse.buildId=unknown

    java.version=1.6.0_17

    java.vendor=Sun Microsystems Inc.

    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_PT

    Framework arguments: -product org.rssowl.ui.product

    Command-line arguments: -product org.rssowl.ui.product -data
    C:\Users\Admin\workspace/../runtime-RSSOwl_configuration -dev
    file:C:/Users/Admin/workspace/.metadata/.plugins/org.eclipse.pde.core/Launch
    RSSOwl 2.0/dev.properties -os win32 -ws win32 -arch x86 -console -consoleLog

    !ENTRY org.eclipse.equinox.app 0 0 2010-01-03 14:04:27.230

    !MESSAGE Product org.rssowl.ui.product could not be found.

    !ENTRY org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE One or more bundles are not resolved because the following root
    constraints are not resolved:

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.jface.databinding_1
    .3.1.M20090826-0800.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.databinding_1.
    2.0.M20090819-0800.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.ui.workbench_3.5.1.
    M20090826-0800a.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.261

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !ENTRY org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE The following is a complete list of bundles which are not resolved,
    see the prior log entry for the root cause if it exists:

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.261

    !MESSAGE Bundle org.eclipse.ui.workbench_3.5.1.M20090826-0800a was not
    resolved.

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.277

    !MESSAGE Missing required bundle org.eclipse.jface.databinding_[1.3.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.277

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.277

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.277

    !MESSAGE Bundle org.eclipse.core.databinding_1.2.0.M20090819-0800 was not
    resolved.

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.rssowl.ui_2.1.0.qualifier was not resolved.

    !SUBENTRY 2 org.rssowl.ui 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_0.0.0.

    !SUBENTRY 2 org.rssowl.ui 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.update.ui_0.0.0.

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.update.ui_3.2.201.R35x_v20090813 was not resolved.

    !SUBENTRY 2 org.eclipse.update.ui 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_[3.2.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.ui_3.5.1.M20090902-1000 was not resolved.

    !SUBENTRY 2 org.eclipse.ui 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui.workbench_[3.5.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.update.scheduler_3.2.200.v20081127 was not
    resolved.

    !SUBENTRY 2 org.eclipse.update.scheduler 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.update.ui_[3.1.0,4.0.0).

    !SUBENTRY 2 org.eclipse.update.scheduler 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_[3.2.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.ui.views.log_1.0.100.v20090731 was not resolved.

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle
    org.eclipse.core.filesystem_[1.1.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle org.eclipse.ui.ide_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.pde.runtime_3.4.100.v20090731 was not resolved.

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle
    org.eclipse.jdt.core_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle
    org.eclipse.core.resources_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle org.eclipse.jdt.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing optionally required bundle org.eclipse.pde.ui_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.ui.net_1.2.1.r35x_20090812-1200 was not resolved.

    !SUBENTRY 2 org.eclipse.ui.net 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.292

    !MESSAGE Bundle org.eclipse.jface.databinding_1.3.1.M20090826-0800 was not
    resolved.

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.292

    !MESSAGE Missing required bundle org.eclipse.core.databinding_[1.2.0,2.0.0).

    !ENTRY org.eclipse.osgi 4 0 2010-01-03 14:04:27.324

    !MESSAGE Application error

    !STACK 1

    java.lang.RuntimeException: No application id has been found.

    at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(Eclips
    eAppContainer.java:236)

    at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicatio
    nLauncher.java:29)

    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication
    (EclipseAppLauncher.java:110)

    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseA
    ppLauncher.java:79)

    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)

    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)

    at java.lang.reflect.Method.invoke(Unknown Source)

    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)

    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)

    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)

    at org.eclipse.equinox.launcher.Main.main(Main.java:1287)

    !ENTRY org.eclipse.osgi 2 0 2010-01-03 14:04:27.324

    !MESSAGE One or more bundles are not resolved because the following root
    constraints are not resolved:

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.324

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.jface.databinding_1
    .3.1.M20090826-0800.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.324

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.324

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.324

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.databinding_1.
    2.0.M20090819-0800.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.324

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.324

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.324

    !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.ui.workbench_3.5.1.
    M20090826-0800a.jar/ was not resolved.

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.324

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.339

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !ENTRY org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE The following is a complete list of bundles which are not resolved,
    see the prior log entry for the root cause if it exists:

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE Bundle org.eclipse.ui.workbench_3.5.1.M20090826-0800a was not
    resolved.

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle org.eclipse.jface.databinding_[1.3.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE Bundle org.eclipse.core.databinding_1.2.0.M20090819-0800 was not
    resolved.

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE Bundle org.rssowl.ui_2.1.0.qualifier was not resolved.

    !SUBENTRY 2 org.rssowl.ui 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle org.eclipse.ui_0.0.0.

    !SUBENTRY 2 org.rssowl.ui 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle org.eclipse.update.ui_0.0.0.

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE Bundle org.eclipse.update.ui_3.2.201.R35x_v20090813 was not resolved.

    !SUBENTRY 2 org.eclipse.update.ui 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle org.eclipse.ui_[3.2.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.355

    !MESSAGE Bundle org.eclipse.ui_3.5.1.M20090902-1000 was not resolved.

    !SUBENTRY 2 org.eclipse.ui 2 0 2010-01-03 14:04:27.355

    !MESSAGE Missing required bundle org.eclipse.ui.workbench_[3.5.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.380

    !MESSAGE Bundle org.eclipse.update.scheduler_3.2.200.v20081127 was not
    resolved.

    !SUBENTRY 2 org.eclipse.update.scheduler 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing required bundle org.eclipse.update.ui_[3.1.0,4.0.0).

    !SUBENTRY 2 org.eclipse.update.scheduler 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing required bundle org.eclipse.ui_[3.2.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.381

    !MESSAGE Bundle org.eclipse.ui.views.log_1.0.100.v20090731 was not resolved.

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle
    org.eclipse.core.filesystem_[1.1.0,2.0.0).

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.ui.views.log 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle org.eclipse.ui.ide_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.381

    !MESSAGE Bundle org.eclipse.pde.runtime_3.4.100.v20090731 was not resolved.

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle
    org.eclipse.jdt.core_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle
    org.eclipse.core.resources_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle org.eclipse.jdt.ui_[3.3.0,4.0.0).

    !SUBENTRY 2 org.eclipse.pde.runtime 2 0 2010-01-03 14:04:27.381

    !MESSAGE Missing optionally required bundle org.eclipse.pde.ui_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.381

    !MESSAGE Bundle org.eclipse.ui.net_1.2.1.r35x_20090812-1200 was not resolved.

    !SUBENTRY 2 org.eclipse.ui.net 2 0 2010-01-03 14:04:27.397

    !MESSAGE Missing required bundle org.eclipse.ui_[3.3.0,4.0.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2010-01-03 14:04:27.397

    !MESSAGE Bundle org.eclipse.jface.databinding_1.3.1.M20090826-0800 was not
    resolved.

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.397

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.observable_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.397

    !MESSAGE Missing required bundle
    org.eclipse.core.databinding.property_[1.2.0,2.0.0).

    !SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-01-03 14:04:27.397

    !MESSAGE Missing required bundle org.eclipse.core.databinding_[1.2.0,2.0.0).

    Do I need to install something in eclipse?

    regards

     
  • Anonymous

    Anonymous - 2010-01-04

    I have updated http://wiki.rssowl.org/index.php/Build_RSSOwl_2.0 to explain how to build RSSOwl with a
    newer version of Eclipse.

     
  • Anonymous

    Anonymous - 2010-01-05

    Thanks, now it runs fine.

    the correct link to the wiki is:


    Made a patch to add a new browser preference "Disable Internet Explorer 7+
    Navigation Sound
    "

    I followed the preference "Disable JavaScript in Browser" to do this.

    TODO: Need to detect if RSSOwl will use IE and if version is >= 7

    : http://wiki.rssowl.org/index.php/Build_RSSOwl_2.0

    : http://pastebin.com/m11f7e539

     

Log in to post a comment.